Method: organizations.locations.firewallEndpoints.list

Lists firewall endpoints in a given organization and location.

HTTP request

GET https://networksecurity.googleapis.com/v1/{parent=organizations/*/locations/*}/firewallEndpoints

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource from which the firewall endpoints are listed. Format: organizations/{organization}/locations/{location} or projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. The server might return fewer items than requested. The maximum value is 1000; values above 1000 are coerced to 1000. If unspecified, the server picks an appropriate default.

pageToken

string

A page token, received from a previous firewallEndpoints.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to firewallEndpoints.list must match the call that provided the page token.

filter

string

Optional. Filtering results.

orderBy

string

Optional. Hint for how to order the results.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListFirewallEndpointsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.